## org.codehaus.plexus.context
Class ContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.plexus.context.ContextException

All Implemented Interfaces:
  java.io.Serializable

    public class ContextException

extends java.lang.Exception

Exception signalling a badly formed Context. This can be thrown by Context object when a entry is not found. It can also be thrown manually in contextualize() when Component detects a malformed containerContext value.

Version:
  CVS $Revision: 5457 $ $Date: 2007-01-17 23:54:30 +0100 (Mi, 17. Jan 2007) $
Author:
  Avalon Development Team
See Also:
  Serialized Form

Constructor Summary
`ContextException(java.lang.String message)` Construct a new `ContextException` instance.
`ContextException(java.lang.String message, java.lang.Throwable throwable)` Construct a new `ContextException` instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextException

    public ContextException(java.lang.String message)

  Construct a new `ContextException` instance.

  Parameters:
    `message` - The detail message for this exception.

### ContextException

    public ContextException(java.lang.String message,
                            java.lang.Throwable throwable)

  Construct a new `ContextException` instance.

  Parameters:
    `message` - The detail message for this exception.
    `throwable` - the root cause of the exception

Copyright © 2011. All Rights Reserved.